> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazyrouter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# MiniMax Video

> Use the MiniMax/Hailuo API to generate videos

> Дата обновления: 2026-06-06

# MiniMax Video

MiniMax (Hailuo) provides high-quality video generation capabilities.

## Create Video

```
POST /minimax/v1/video_generation
```

### Request Parameters

| Parameter           | Type   | Required | Description                                    |
| ------------------- | ------ | -------- | ---------------------------------------------- |
| `model`             | string | Yes      | Model name, e.g. `video-01`, `video-01-live2d` |
| `prompt`            | string | Yes      | Video description prompt                       |
| `first_frame_image` | string | No       | First frame image URL                          |

### Request Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.crazyrouter.com/minimax/v1/video_generation \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -d '{
      "model": "video-01",
      "prompt": "A kitten napping in the sunlight, a gentle breeze ruffling its fur"
    }'
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://api.crazyrouter.com/minimax/v1/video_generation",
      headers={
          "Content-Type": "application/json",
          "Authorization": "Bearer YOUR_API_KEY"
      },
      json={
          "model": "video-01",
          "prompt": "A kitten napping in the sunlight, a gentle breeze ruffling its fur"
      }
  )

  print(response.json())
  ```
</CodeGroup>

### Response Example

```json theme={null}
{
  "task_id": "minimax_video_abc123",
  "base_resp": {
    "status_code": 0,
    "status_msg": "success"
  }
}
```

***

## Image-to-Video

```json theme={null}
{
  "model": "video-01",
  "prompt": "The person in the image starts smiling",
  "first_frame_image": "https://example.com/portrait.jpg"
}
```

***

## Query Task

```
GET /minimax/v1/query/video_generation?task_id={task_id}
```

```bash cURL theme={null}
curl "https://api.crazyrouter.com/minimax/v1/query/video_generation?task_id=minimax_video_abc123" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

### Response Example (Completed)

```json theme={null}
{
  "task_id": "minimax_video_abc123",
  "status": "Success",
  "file_id": "file_abc123",
  "base_resp": {
    "status_code": 0,
    "status_msg": "success"
  }
}
```

### Task Status

| Status       | Description |
| ------------ | ----------- |
| `Queueing`   | Queued      |
| `Processing` | Processing  |
| `Success`    | Succeeded   |
| `Fail`       | Failed      |
